#
# spec file for package rubygem-i18n-1.1
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-i18n-1.1
Version:        1.1.1
Release:        bp156.3.1
%define mod_name i18n
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/svenfuchs/i18n
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        New wave Internationalization support for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
New wave Internationalization support for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov  6 2018 mschnitzer@suse.com
- updated to version 1.1.1
  * Expose translations with an option to perform initialization (if it hasn't been done already) (#353 / #254)
  * Removed un-used Kernel core extension #436
  * Added project metadata for RubyGems #434
* Thu Aug 16 2018 mschnitzer@suse.com
- updated to version 1.1.0
  * Simplified default exception handler - #414
  * Fallbacks now exclude default locale - #415, possibly fixes #413 + #338
  * Fixed deprecated use of assert_nothing_raised #417
  * Fixed pluralization behavior for KeyValue backend with subtrees disabled - #419
  * Allow yaml file extension - #421
* Thu Apr 19 2018 factory-auto@kulow.org
- updated to version 1.0.1
  no changelog found
* Wed Apr 18 2018 factory-auto@kulow.org
- updated to version 1.0.1
  no changelog found
* Wed Feb 14 2018 factory-auto@kulow.org
- updated to version 1.0.0
  no changelog found
* Fri Feb  9 2018 factory-auto@kulow.org
- updated to version 0.9.4
  no changelog found
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.9.3
  no changelog found
* Fri Nov 17 2017 mschnitzer@suse.com
- updated to version 0.9.1
  * Reverted Hash#slice behaviour introduced with #250 - See #390.
  * Fixed a regression caused by #387, where translations may have returned a not-helpful error message - See #389
* Mon Oct 23 2017 mschnitzer@suse.com
- updated to version 0.9.0
  * Made Backend::Memoize threadsafe. See #51 and #352.
  * Added a middleware I18n::Middleware that should be used to ensure that i18n config is reset correctly between requests. See #381 and #382.
* Thu Aug  3 2017 cbruckmayer@suse.com
- updated to version 0.8.6
  no changelog found
* Wed May 31 2017 coolo@suse.com
- updated to version 0.8.4
  no changelog found
* Mon Mar 13 2017 hvogel@suse.com
- Update to version 0.8.1
  no changelog found
* Wed Feb  1 2017 coolo@suse.com
- updated to version 0.8.0
  no changelog found
* Wed Jan 28 2015 adrian@suse.de
- update to version 0.7.0, no changelog
* Fri Oct 10 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Mon Jul 28 2014 coolo@suse.com
- updated to version 0.6.11, no changelog
* Wed Dec  4 2013 coolo@suse.com
- updated to version 0.6.9, no changelog
* Tue Dec  3 2013 coolo@suse.com
- updated to version 0.6.8, no changelog
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.6.5, use https:// source
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.6.4
* Fri Aug 31 2012 coolo@suse.com
- updated to version 0.6.1, no changelog
* Fri Aug  3 2012 coolo@suse.com
- remove no longer necessary suffix
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide correct dependencies for activesupport
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Tue Aug 16 2011 mrueckert@suse.de
- change license header to list MIT and Ruby license (bnc#712385)
* Mon Jun 20 2011 mrueckert@suse.de
- initial package of the 0.6 branch (0.6.0)
